Subject: kernel 3.3, regression, bnx2 firmware missing in tar.bz2

From: Denys Fedoryshchenko <[email-masked]>
Date: Tue, 20 Mar 2012 01:31:06 +0300

Hi

Just loaded to 2.6.39 machine newest 3.3 kernel and got dead network 
interface:

Mar 20 03:28:37 localhost kernel: bnx2: Can't load firmware file 
"bnx2/bnx2-mips-06-6.2.3.fw"

On one side i agree that firmware can have non-GPL license, but at any 
case while it is working in old kernel, if it is dead in new - and it is 
very bad. Just checked commit

Actually i am expecting to have working network interfaces with 
downloaded tar.bz2 of stable kernel release, especially if it was 
working before, otherwise it is plain regression. Or i am wrong?

Sure i know how to use git, but it is non-trivial to find about git tree 
with this firmware in git.kernel.org, nothing mentioned in 
documentation. It will be perfect, if make process at least will try to 
fetch firmwares from git or note about it at end of compiling.

Thanks.